Subject: Re: FVWM: Quit fvwm when last window is closed

From: [email-masked] (John Latham)
Date: Tue, 2 May 2000 15:50:39 +0100

> In-Reply-To: Message from Rick Teudt <[email-masked]> 
>    of "Mon, 01 May 2000 18:13:06 PDT." <[email-masked]> 
> Date: Tue, 02 May 2000 08:05:55 -0500
> From: Mike Bloy <[email-masked]>
> On Mon, 1 May 2000 18:13:06 -0700 , Rick Teudt <[email-masked]> said:
>
> > I am new to the world of fvwm, so I hope there is an easy solution
> > for this problem that I just haven't figured out yet: I would like
> > to start an application in InitFunction, and have fvwm automatically
> > quit when that application is exited or killed.
>
> What you probably want to do is go outside of FVWM for this. If you
> start up FVWM in your .xsession (or whatever) with 
>
> fvwm2 &
>
> processing continues in the .xsession. Then you start up your window
> with a line like this
>
> exec logout_app -option -option 
>
> That makes logout_app the controlling process for the X session, which 
> sounds like what you want.

I think you could do it within fvwm2 though. Say your app was called
MyMainThing, then why not try:

	AddToFunc InvokeMyMainThing
	+ "I" PipeRead MyMainThing
	+ "I" Quit

	AddToFunc InitFunction
	+ "I" InvokeMyMainThing

I *guess* this will work... 

Ta, John
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].